#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2006, 2011. Wszelkie prawa zastrzeżone.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Zdefiniuj zmienne środowiskowe odpowiadające parametrom
# # skryptu qm_upgrade.sh i ich domyślnym wartościom.
# #
# #===========================================================
# #
# # Ten plik jest odczytywany na początku wykonania skryptu
# # qm_upgrade.sh. Ustawia on po jednej zmiennej
# # środowiskowej dla każdego poprawnego parametru
# # o zdefiniowanej wstępnie wartości domyślnej.
# #
# # Użytkownicy mogą modyfikować wartości domyślne w celu
# # uruchomienia skryptu qm_upgrade.sh z własnymi
# # wartościami, bez konieczności wprowadzania parametrów
# # i ich wartości ręcznie w wierszu komend.
# #
# # Ostrzeżenie:
# # Nie wszystkie zmienne są wymagane dla każdej
# # aplikacji.  Należy przeczytać uważnie każdy komentarz przed
# # zmodyfikowaniem wartości.
# #
# #############################################################

# Parametr: -oldApplicationHome
# Składnia: -oldApplicationHome <ścieżka do katalogu>
# Opis:
# 	Pełna ścieżka do katalogu głównego aplikacji w instalacji 2.x lub 3.0.x.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - To jest parametr obowiązkowy.
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf,
#    na przykład /Jazz/IBM/RQM_2.x/jazz/server/conf
#
OLD_APPLICATION_HOME=

# Parametr: -applicationContextRoot
# Składnia: -applicationContextRoot<katalog główny>
# Opis:
# 	Kontekstowy katalog główny aplikacji serwera 2.x lub 3.0.x.
# Wartość domyślna:
# 	jazz (2.x), qm (3.0.1)
# Ograniczenia:
#  - <katalog główny> musi być poprawną nazwą pojedynczego katalogu (bez początkowego ukośnika).
#
APPLICATION_CONTEXT_ROOT=

# Parametr: -updateTomcatFiles
# Składnia: -updateTomcatFiles <yes | no>
# Opis:
# 	Określa, czy mają być aktualizowane pliki konfiguracyjne serwera Tomcat.
# Wartość domyślna:
# 	yes
# Ograniczenia:
#  - jedyne poprawne wartości to yes i no.
#
UPDATE_TOMCAT_FILES=yes

# Parametr: -oldTomcatHome
# Składnia: -oldTomcatHome <ścieżka do katalogu>
# Opis:
# 	Pełna ścieżka do katalogu głównego serwera Tomcat w instalacji 2.x lub 3.0.x.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - Ścieżka musi wskazywać istniejący katalog.
#
OLD_TOMCAT_HOME=

# Parametr: -newApplicationHome
# Składnia: -newApplicationHome <ścieżka do katalogu>
# Opis:
# 	Ścieżka do katalogu głównego aplikacji w instalacji wersji 3.0.1.2.
# Wartość domyślna:
# 	conf
# Ograniczenia:
#  - Akceptowany tylko dla aktualizacji aplikacji RTC, QM i RM;
#  - Jeśli jest akceptowany, jest to parametr obowiązkowy.
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf,
#    na przykład /Jazz/IBM/RQM_3.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"

# Parametr: -newJTSHome
# Składnia: -newJTSHome <ścieżka do katalogu>
# Opis:
# 	Pełna ścieżka do katalogu głównego JTS w instalacji 3.0.1.2.
# Wartość domyślna:
#  Nowy katalog główny aplikacji
# Ograniczenia:
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf,
#    na przykład /Jazz/IBM/RQM_3.0/JazzTeamServer/server/conf
#
NEW_JTS_HOME=

# Parametr: -jtsContextRoot
# Składnia: -jtsContextRoot <katalog główny>
# Opis:
# 	Kontekstowy katalog główny serwera JTS 3.0.1.2.
# Wartość domyślna:
# 	jts
# Ograniczenia:
#  - <katalog główny> musi być poprawną nazwą pojedynczego katalogu (bez początkowego ukośnika).
#
JTS_CONTEXT_ROOT=jts

# Parametr: -newApplicationTomcatHome
# Składnia: -newApplicationTomcatHome <ścieżka do katalogu>
# Opis:
# 	Ścieżka do katalogu głównego aplikacji Tomcat w instalacji 3.0.1.2.
# Wartość domyślna:
# 	<brak>
#
NEW_TOMCAT_HOME=

# Parametr: -newJTSTomcatHome
# Składnia: -newJTSTomcatHome <ścieżka do katalogu>
# Opis:
# 	Ścieżka do katalogu głównego JTS Tomcat w instalacji 3.0.1.2.
# Wartość domyślna:
# 	<brak>
#
NEW_JTS_TOMCAT_HOME=

# Parametr: -noPrompt
# Składnia: -noPrompt
# Opis:
# 	Wyłącza wyświetlanie zapytania przed utworzeniem lub zmodyfikowaniem tabel.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - Jedyne poprawne wartości to wartość pusta lub wartość noPrompt.
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# Parametr: -noVerify
# Składnia: -noVerify
# Opis:
# 	Nie sprawdzaj poprawności plików teamserver.properties.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - Jedyne poprawne wartości to wartość pusta lub wartość noVerify.
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Parametr: -overwrite
# Składnia: -overwrite
# Opis:
# 	Określa, czy nadpisywać istniejące pliki.
# Wartość domyślna:
# 	no
# Ograniczenia:
#  - Jedyne poprawne wartości to wartość pusta lub wartość overwrite=yes.
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Parametr: -importFromFile
# Składnia: -importFromFile <ścieżka do pliku>
# Opis:
# 	Importuj dane z pliku TAR wyeksportowanego z wersji 2.x lub 3.0.x.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - ścieżka musi wskazywać istniejący i poprawny plik.
#
IMPORT_FROM_FILE=

# Parametr: -noStepPrompt
# Składnia: -noStepPrompt
# Opis:
# 	nie wyświetlaj podpowiedzi przed wykonaniem kroku.
# Wartość domyślna:
# 	false
# Ograniczenia:
#  - jedyne poprawne wartości to true lub false.
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false
