#!/bin/sh
# *******************************************************************************
#  Licencované materiály - vlastnictví IBM
#  (c) Copyright IBM Corporation 2006, 2011. Všechna práva vyhrazena.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Definujte proměnné prostředí odpovídající parametrům
# # skriptu rm_upgrade.sh a jejich výchozím hodnotám
# #
# #===========================================================
# #
# # Tento soubor se čte na začátku provedení skriptu
# # rm_upgrade.sh. Nastavuje jednu proměnnou prostředí pro
# # jeden platný parametr pomocí předdefinované výchozí hodnoty.
# #
# # Uživatelé mohou výchozí hodnotu upravit, a docílit tak
# # spouštění skriptu rm_upgrade.sh se svými vlastními hodnotami
# # bez nutnosti ručního zadávání parametrů s jejich hodnotami
# # do příkazového řádku.
# #
# # VAROVÁNÍ:
# # Není nutné nastavovat všechny proměnné pro každou
# # aplikaci. Před úpravou hodnoty si pozorně přečtěte
# # komentář.
# #
# #############################################################

# Parametr: -oldApplicationHome
# Použití: -oldApplicationHome <cesta k adresáři>
# Popis:
# 	Úplná cesta k domovskému adresáři aplikace v instalaci 2.x nebo 3.0.x.
# Výchozí:
# 	<není>
# Omezení:
#  - toto je povinný parametr
#  - <cesta_k_adresáři> musí určovat existující adresář a musí končit řetězcem 'server/conf'
#    např. /Jazz/IBM/RRC_2.x/jazz/server/conf
#
OLD_APPLICATION_HOME=

# Parametr: -applicationContextRoot
# Použití: -applicationContextRoot<root>
# Popis:
# 	Kontextový kořenový adresář aplikace serveru 2.x nebo 3.0.x.
# Výchozí:
# 	rdm (2.x), rm (3.0.1)
# Omezení:
#  - <kořen> musí být platný název jednoho adresáře (tj. bez úvodního lomítka)
#
APPLICATION_CONTEXT_ROOT=

# Parametr: -oldJTSHome
# Použití: -oldJTSHome <cesta k adresáři>
# Popis:
# 	Úplná cesta k domovskému adresáři aplikace v instalaci 2.x nebo 3.0.x.
# Výchozí:
# 	<není>
# Poznámka:
#     Je-li zadán, znamená, že bude proveden upgrade z verze 3.0 na verzi 3.0.1 pro
#     RTC i pro JTS. Jinak bude proveden bez ohledu na zjištěný
#     upgrade pouze pro RTC...
# Omezení:
#  - <cesta_k_adresáři> musí odkazovat na existující adresář
#    a musí končit řetězcem 'server/conf'
#  - Platí pouze pro upgrady RM a JTS
#
OLD_JTS_HOME=

# Parametr: -oldJTSContextRoot
# Použití: -oldJTSContextRoot <root>
# Popis:
# 	Kontextový kořenový adresář JTS serveru 2.x nebo 3.0.x
# Výchozí:
# 	jazz
# Omezení:
#  - Akceptuje se pouze pro upgrade RM
#  - <kořen> musí být jediný název platného adresáře (tj. bez úvodního lomítka)
#
OLD_JTS_CONTEXT_ROOT=jazz

# Parametr: -updateTomcatFiles
# Použití: -updateTomcatFiles <yes | no>
# Popis:
# 	Zda mají být aktualizovány konfigurační soubory tomcat.
# Výchozí:
# 	yes
# Omezení:
#  - Jediné platné hodnoty: 'yes' a 'no'
#
UPDATE_TOMCAT_FILES=yes

# Parametr: -oldApplicationTomcatHome
# Použití: -oldApplicationTomcatHome <cesta_k_adresáři>
# Popis:
# 	Úplná cesta ke kořenovému adresáři aplikací serveru Tomcat v instalaci 2.x nebo 3.0.x.
# Výchozí:
# 	<není>
# Omezení:
#  - Akceptuje se pouze pro upgrade RM
#  - Musí být existujícím adresářem
#
OLD_TOMCAT_HOME=

# Parametr: -oldJTSTomcatHome
# Použití: -oldJTSTomcatHome <cesta k adresáři>
# Popis:
# 	Úplná cesta ke kořenovému adresáři Tomcat v instalaci 2.x nebo 3.0.x.
# Výchozí:
# 	<není>
# Omezení:
#  - Akceptuje se pouze pro upgrade RM
#  - Musí být existujícím adresářem
#
OLD_JTS_TOMCAT_HOME=

# Parametr: -newApplicationHome
# Použití: -newApplicationHome <cesta k adresáři>
# Popis:
# 	Cesta k domovskému adresáři aplikace v instalaci 3.0.1.2.
# Výchozí:
# 	conf
# Omezení:
#  - Akceptuje se pouze pro upgrade produktů RTC, QM a RM
#  - Je-li akceptován, jde o povinný parametr
#  - <cesta_k_adresáři> musí odkazovat na existující adresář a musí končit
#    řetězcem 'server/conf'
#    např. /Jazz/IBM/RRC_3.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"

# Parametr: -newJTSHome
# Použití: -newJTSHome <cesta k adresáři>
# Popis:
# 	Úplná cesta k domovskému adresáři JTS v instalaci 3.0.1.2.
# Výchozí:
# 	Nový domovský adresář nové aplikace
# Omezení:
#  - <cesta_k_adresáři> musí odkazovat na existující adresář a musí končit
#    řetězcem 'server/conf'
#
NEW_JTS_HOME=

# Parametr: -newJTSContextRoot
# Použití: -newJTSContextRoot <root>
# Popis:
# 	Kontextový kořenový adresář serveru 3.0.1.2 JTS.
# Výchozí:
# 	jts
# Omezení:
#  - <kořen> musí být platný název jednoho adresáře (tj. bez úvodního lomítka)
#
JTS_CONTEXT_ROOT=jts

# Parametr: -newApplicationTomcatHome
# Použití: -newApplicationTomcatHome <cesta k adresáři>
# Popis:
# 	Cesta ke kořenovému adresáři aplikací serveru Tomcat v instalaci 3.0.1.2.
# Výchozí:
# 	<není>
#
NEW_TOMCAT_HOME=

# Parametr: -newJTSTomcatHome
# Použití: -newJTSTomcatHome <cesta k adresáři>
# Popis:
# 	Cesta ke kořenovému adresáři aplikací serveru Tomcat v instalaci 3.0.1.2.
# Výchozí:
# 	<není>
#
NEW_JTS_TOMCAT_HOME=

# Parametr: -noPrompt
# Použití: -noPrompt
# Popis:
# 	Nevyžadovat potvrzení (tj. vždy použít noPrompt) při provádění veškerých příkazů repotools
# Výchozí:
# 	<není>
# Omezení:
#  - Jediné platné hodnoty: empty nebo 'noPrompt'
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# Parametr: -overwrite
# Použití: -overwrite
# Popis:
# 	Vynutit přepsání (tj. vždy použít overwrite=yes) při provádění veškerých příkazů repotools
# Výchozí:
# 	<není>
# Omezení:
#  - Jediné platné hodnoty: empty nebo 'overwrite=yes'
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Parametr: -noVerify
# Použití: -noVerify
# Popis:
# 	Nevyžadovat potvrzení (tj. vždy použít noVerify) při provádění veškerých příkazů repotools
# Výchozí:
# 	<není>
# Omezení:
#  - Jediné platné hodnoty: empty nebo 'noVerify'
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Parametr: -importFromFile
# Použití: -importFromFile <cesta k souboru>
# Popis:
# 	Importovat obsah souboru tar do databázových tabulek
# Výchozí:
# 	<není>
# Omezení:
#  - Cesta musí ukazovat na existující a platný soubor
#
IMPORT_FROM_FILE=

# Parametr: -noStepPrompt
# Použití: -noStepPrompt
# Popis:
# 	Nedotazovat se před jednotlivými kroky upgradu
# Výchozí:
# 	false
# Omezení:
#  - Jediné platné hodnoty: 'true' a 'false'
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false

# Parametr: -jtsURL
# Použití: -jtsURL <veřejný identifikátor URI pro JTS>
# Popis:
# 	Veřejný identifikátor URI pro JTS
# Výchozí nastavení:
# 	<není>
# Omezení:
#  - Akceptováno pouze pro aktualizaci RM
#  - Nezbytné pouze v distribuované implementaci, kdy je JTS spuštěn na jiné instanci serveru než aplikace RM
#
JTS_PUBLIC_URL=